Property Groups
PropertyGroup objects represent top-level property group data from AppFolio®. Skywalk API allows you to obtain the following property group attributes from AppFolio®.
The PropertyGroup Object
Attributes
appfolioIdstring
Unique ID for this property group.
Example:
"8"
namestring
Name of this property group.
Example:
"SunnySide Property Group"
propertyIdsstring[]
Array of AppFolio Ids of property belonging to this property group.
Example:
["2","5","7"]
The PropertyGroup Object
{
"appfolioId": "8",
"name": "SunnySide Property Group",
"propertyIds": [
"2",
"5",
"7"
]
}
Get All Property Groups
GET /v1/property-groups
Follows: Authentication • Caching • Polling • List Response Format • Scheduled Job
The property group endpoint returns a list of all property groups in your AppFolio® account. This endpoint should respond immediately with your most recently cached data.
Parameters
This endpoint requires no additional parameters.
Returns
The standard List Response Format with a data property containing an array of PropertyGroup objects.
GET /v1/property-groups
curl -X GET 'https://api.skywalkapi.com/v1/property-groups' \
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/property-groups",
"query": {},
"count": 2,
"lastUpdated": 1610992228
},
"links": {
"next": null
},
"data": [
{
"appfolioId": "8",
"name": "SunnySide Property Group",
"propertyIds": [
"2",
"5",
"7"
]
},
{
"appfolioId": "18",
"name": "Atlantic Premium Homes",
"propertyIds": [
"10",
"11",
"12",
"13",
"14"
]
}
]
}